%{?nodejs_find_provides_and_requires}
%global enable_tests 0
Name:                nodejs-maxmin
Version:             2.1.0
Release:             1
Summary:             Get pretty output of the original, minified gzipped size of a string/buffer
License:             MIT
URL:                 https://github.com/sindresorhus/maxmin
Source0:             https://github.com/sindresorhus/maxmin/archive/v%{version}/maxmin-%{version}.tar.gz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging npm(chalk) npm(figures) npm(gzip-size) npm(pretty-bytes)
%if 0%{?enable_tests}
BuildRequires:       npm(ava)
%endif
%description
%{summary}.

%prep
%autosetup -n maxmin-%{version}
%nodejs_fixdep chalk ^1.1.1
%nodejs_fixdep pretty-bytes

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/maxmin
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/maxmin
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%if 0%{?enable_tests}
${binddir}/ava
%endif

%files
%doc readme.md screenshot.png
%license license
%{nodejs_sitelib}/maxmin

%changelog
* Thu Aug 20 2020 yaokai <yaokai13@huawei.com> - 2.1.0-1
- Package init
